using UnityEngine;
using System.Collections;

public class MinionSprites : MonoBehaviour {

	Animator anim;

	void Start () {
		anim = GetComponent<Animator>();
	}

	public void AnimUp() {
		anim.SetFloat("Speed", 1);
		anim.SetBool("FacingBot", false);
		anim.SetBool("FacingLeft", false);
		anim.SetBool("FacingRight", false);
		anim.SetBool("FacingUp", true);
	}

	public void AnimDown() {
		anim.SetFloat("Speed", 1);	
		anim.SetBool("FacingBot", true);
		anim.SetBool("FacingUp", false);
		anim.SetBool("FacingLeft", false);
		anim.SetBool("FacingRight", false);
	}

	public void AnimRight(){
		anim.SetFloat("Speed", 1);
		anim.SetBool("FacingRight", true);
		anim.SetBool("FacingBot", false);
		anim.SetBool("FacingUp", false);
		anim.SetBool("FacingLeft", false);
	}

	public void AnimLeft() {
		anim.SetFloat("Speed", 1);
		anim.SetBool("FacingLeft", true);
		anim.SetBool("FacingBot", false);
		anim.SetBool("FacingUp", false);
		anim.SetBool("FacingRight", false);
	}
	
	public void AnimStop(){
		anim.SetFloat("Speed", 0);	
	}
}

